
using System.Net.Http.Json;
using RBLFeederCommon.Models.RssFeed;

namespace RBLNews.Shared.Services
{
    public interface IFeedDataService
    {
        public RssVM Feeds { get; }
        
        public Action DataChanged { get; set; }

        Task LoadFeeds();
    }

    public class FeedDataService : IFeedDataService
    {
        private static readonly HttpClient httpClient = new();

        public RssVM Feeds { get; private set; }
        
        public Action DataChanged { get; set; }

        public async Task LoadFeeds()
        {
            Feeds = await httpClient.GetFromJsonAsync<RssVM>("https://rblnews.de/api/feeds") ?? new RssVM();
            DataChanged.Invoke();
        }
    }
}
